﻿Type=Activity
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	
	Private CUSTOMER_LIST = "customer_list", CUSTOMER_NUMBER = "customer_number" As String


End Sub

Sub Globals
	

	Type TwoLines (First As String, Second As String)
	Dim Writer As TextWriter
	
End Sub

Sub FetchCustomerList
	Activity.LoadLayout("updcust")
	ProgressDialogShow("Fetching list of Customers")
	ExecuteRemoteQuery("SELECT Name, CustNo FROM Customer ", CUSTOMER_LIST)
	CallSubDelayed(Main, "Activity_Resume")
End Sub

Sub ExecuteRemoteQuery(Query As String, JobName As String)
	Dim job As HttpJob
	job.Initialize(JobName, Me)
	job.PostString("http://www.himel.co.za/get_data.php", Query)
End Sub

Sub JobDone(Job As HttpJob)
	ProgressDialogHide
	If Job.Success Then
		Dim res As String
		res = Job.GetString
		Log("Response from server: " & res)
		Dim parser As JSONParser
		parser.Initialize(res)
		Select Job.JobName
			Case CUSTOMER_LIST
				Dim CUSTOMERS As List
				CUSTOMERS = parser.NextArray
				Writer.Initialize(File.OpenOutput(File.DirDefaultExternal, "peterh.txt", False))
				Writer.Close
				Writer.Initialize(File.OpenOutput(File.DirDefaultExternal, "peterh.txt", True))
				For i = 0 To CUSTOMERS.Size - 1
					Dim m As Map
					m = CUSTOMERS.Get(i)
					Dim tl As TwoLines
					
					tl.Second = m.Get("Name")
				
				
					Writer.WriteLine(tl.Second)

				Next
				
				Writer.Close
				CallSubDelayed(Main, "Activity_Resume")
			Case CUSTOMER_NUMBER
				
		End Select
	Else
		Log(Job.ErrorMessage)
		ToastMessageShow("Error: " & Job.ErrorMessage, True)
	End If
	Job.Release
End Sub


Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
